Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7489 - dependancy on /usr
Summary: dependancy on /usr
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 7455
TreeView+ depends on / blocked
 
Reported: 1999-12-01 18:04 UTC by Geoff Reedy
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 20:23:29 UTC


Attachments (Terms of Use)

Description Geoff Reedy 1999-12-01 18:04:58 UTC
The openldap rpm installs libldap.so.1 and liblber.so.1 into /usr/lib
creating a dependancy on /usr if the ldap nss module is used.  This
prevents a clean shutdown as the initscripts, in order to unmount
filesystems, kill all processes using filesystems other than /.  If the
ldap nss module is in use, this includes bash, which is running the halt
script.

Comment 1 rvaughn 1999-12-07 17:55:59 UTC
I would like to add my confirmation - I shutdown my server so seldom that this
one is hard to notice, but I did run into it recently also.  This isn't good
for the health of /usr, which was never unmounted and had to be checked on
restarting the server.

Comment 2 Geoff Reedy 1999-12-30 16:50:59 UTC
Is anything being done about this?

Comment 3 Bill Nottingham 2000-01-18 20:23:59 UTC
This is fixed in the nss_ldap module in Raw Hide
(and actually has been for quite a while.) Sorry
about the delay on the bug response.


Note You need to log in before you can comment on or make changes to this bug.